%global momorel 1

Name:           perl-Catalyst-Plugin-StackTrace
Version:        0.09
Release: %{momorel}m%{?dist}
Summary:        Display a stack trace on the debug screen
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-StackTrace/
Source0:	http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Plugin-StackTrace-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Runtime >= 5.61
BuildRequires:  perl-Devel-StackTrace
BuildRequires:  perl-Module-Build
Requires:       perl-Catalyst-Runtime >= 5.61
Requires:       perl-Devel-StackTrace
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin will enhance the standard Catalyst debug screen by including a
stack trace of your appliation up to the point where the error occurred.
Each stack frame is displayed along with the package name, line number,
file name, and code context surrounding the line number.

%prep
%setup -q -n Catalyst-Plugin-StackTrace-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*/*/*
%{_mandir}/man3/*

%changelog
* Sat Sep  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.09-1m)
- update to 0.09

* Mon Apr 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-1m)
- update to 0.08

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.07-2m)
- rebuild against gcc43

* Sun Feb 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07-1m)
- update to 0.07

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.06-3m)
- use vendor

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.06-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.06-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
